libexplain51_1.4.D001-8_i386.deb


Advertisement

Description

libexplain51 - library of system-call-specific strerror repl

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libexplain51_1.4.D001-8_i386.deb
Package name libexplain51
Package version 1.4.D001
Package release 8
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://libexplain.sourceforge.net/
License -
Maintainer Debian QA Group <packages@qa.debian.org>
Download size 370.43 KB
Installed size 1.41 MB
library of syscall-specific strerror replacements

Alternatives

Package Version Architecture Repository
libexplain51_1.4.D001-8_amd64.deb 1.4.D001 amd64 Debian Main
libexplain51 - - -

Requires

Name Value
libacl1 >= 2.2.51-8
libc6 >= 2.28
libcap2 >= 1:2.10
lsof -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libexplain51_1.4.D001-8_i386.deb
Source Package libexplain

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libexplain51 deb package:
    # sudo apt-get install libexplain51

Files

Path
/usr/lib/i386-linux-gnu/libexplain.so.51
/usr/lib/i386-linux-gnu/libexplain.so.51.5.0
/usr/share/doc/libexplain51/changelog.Debian.gz
/usr/share/doc/libexplain51/copyright
/usr/share/locale/de/LC_MESSAGES/libexplain.mo

Changelog

2019-01-17 - Andreas Henriksson <andreas@fatal.se>
libexplain (1.4.D001-8) unstable; urgency=medium
* QA Upload.
* Add debian/patches/fix-tests-sed.patch (Closes: #917498)
* Add debian/patches/nettstamp-needs-types.patch (Closes: #917665)
2018-02-02 - Adrian Bunk <bunk@debian.org>
libexplain (1.4.D001-7) unstable; urgency=medium
* QA upload.
* Build-depend on netbase. (Closes: #885967)
2017-06-04 - Adrian Bunk <bunk@debian.org>
libexplain (1.4.D001-6) unstable; urgency=medium
* QA upload.
* Enforce non-parallel build, the Makefile dependencies are buggy.
(Closes: #863932)
2016-08-19 - James Cowgill <jcowgill@debian.org>
libexplain (1.4.D001-5) unstable; urgency=medium
* QA upload.
* Fix FTBFS on hppa - add handling of flags with multiple bits set.
(Closes: #834511)
2016-08-14 - James Cowgill <jcowgill@debian.org>
libexplain (1.4.D001-4) unstable; urgency=medium
* QA upload.
* Fix typo in ppc64 ifdef in 05_largefile.patch.
2016-08-14 - James Cowgill <jcowgill@debian.org>
libexplain (1.4.D001-3) unstable; urgency=medium
* QA upload.
* debian/control:
- Replace -dbg package with automatic package.
- Use secure Vcs-Git URL.
- Bump standards to 3.9.8.
- Drop useless direct dependency from explain to libexplain51.
- Run wrap-and-sort.
* debian/patches:
- Number the patches.
- 03: Fix FTBFS with linux headers 4.5. (Closes: #828853)
- 04: Fix test t0274a.sh on recent kernels.
- 05: Fix handling of O_LARGEFILE on various 64-bit arches.
(Closes: #775357, #791347)
- 06: Only compile sysctl code if sysctl exists. (Closes: #770819)
- 07: Do not require fully defined struct ustat.
* debian/rules:
- Enable parallel build.
2014-11-11 - Andreas Beckmann <anbe@debian.org>
libexplain (1.4.D001-2) unstable; urgency=medium
* QA upload.
* Set Maintainer to Debian QA Group.  (See #765335)
* Import packaging history into git. Add Vcs-* URLs.
* Update to Standards-Version: 3.9.6. Drop DMUA.
* libexplain-dev: Breaks+Replaces: explain (<< 1.0) for moved manpages.
* Switch to debhelper compat level 9.  (Closes: #741585)
* Rewrite d/rules with dh and a few overrides.
* Install library in multiarch libdir.
* Build with dh_autoreconf.  (Closes: #758065)
* Rewrite d/copyright.
* Rework the descriptions to please lintian.
* alpha-fcntl-h.patch: Remove ancient special case for fcntl.h on alpha.
(See: #661440)
* Restrict some Build-Depends to [linux-any].
2014-10-09 - Matthias Klose <doko@debian.org>
libexplain (1.4.D001-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Build-depend on libtool-bin. Closes: #761763.
2014-03-03 - Peter Miller <pmiller@opensource.org.au>
libexplain (1.4.D001-1) unstable; urgency=low
* This change set prepares the LibExplain projevt or the nect public release.
* 1.1.D002: Closes: #707432
* 1.2.D045: Closes: #723409
* This is a summary, see earlier changelog entries for details of individual
bug fixes.
2014-03-03 - Peter Miller <pmiller@opensource.org.au>
libexplain (1.3.D025-1) unstable; urgency=low
* This change set fixes the last few false negative test results, on FreeBSD.

See Also

Package Description
libexport-attrs-perl_0.1.0-1_all.deb Perl 6 'is export(...)' trait as a Perl 5 attribute
libexporter-autoclean-perl_0.01-1_all.deb module that exports functions only available at compile time
libexporter-declare-perl_0.114-1_all.deb perl module for meta-driven exporting
libexporter-easy-perl_0.18-1_all.deb perl module to take the drudgery out of Exporting symbols
libexporter-lite-perl_0.08-1_all.deb lightweight subset of Exporter
libexporter-renaming-perl_1.19-2_all.deb facility to rename symbols when imported
libexporter-tidy-perl_0.08-1_all.deb another way of exporting symbols
libexporter-tiny-perl_1.002001-1_all.deb tiny exporter similar to Sub::Exporter
libext2fs-dev_1.44.5-1_i386.deb ext2/ext3/ext4 file system libraries - headers and static libraries
libext2fs2_1.44.5-1_i386.deb ext2/ext3/ext4 file system libraries
libexternalsortinginjava-java-doc_0.2.5-1_all.deb External-Memory Sorting in Java (documentation)
libexternalsortinginjava-java_0.2.5-1_all.deb External-Memory Sorting in Java
libextlib-ocaml-dev_1.7.0-3+b1_i386.deb extended standard library for OCaml
libextlib-ocaml_1.7.0-3+b1_i386.deb extended standard library for OCaml (plugins)
libextractor-dev_1.8-2_i386.deb extracts meta-data from files of arbitrary type (development)
Advertisement
Advertisement